Skip to main content
GET
/
api
/
analyze.php
Poll for Results
curl "https://pulsedive.com/api/analyze.php?qid=2350183660"
{
  "qid": 2100254203,
  "status": "processing",
  "stage": "sending request",
  "error": "Request(s) still processing."
}

Query Parameters

key
string

Your Pulsedive API key.

API key authentication is optional. However, requests without a key have stricter rate limits. We recommend including an API key for better performance and reliability.

qid
integer
required

Unique identifier of the request to retrieve. (Queue ID returned when you added the indicator to the queue for scanning.)

Example:

2100188839

pretty
enum<integer>
default:0

Indicates whether to format returned JSON results.

For pretty-printed output, set to 1. For compact output, set to 0.

Available options:
0,
1

Response

Successful request. Returns scan status or complete results.

Response while scan is in progress.

qid
integer

Unique identifier of the associated request.

Example:

"2100254203"

status
string

Overall processing state of the request.

Example:

"processing"

stage
string

Current step of the scanning process. Present when scanning is in progress.

Example:

"sending request"

{key}
string

Dynamic key-value pair representing the outcome of your request.

Each {key} represents the overall outcome of your request. The {value} string provides additional context for the outcome. Until your request is complete, the {key} will be error.

Example:
{ "error": "Request(s) still processing." }